#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	graphite2
Version		:	1.3.14
Release		:	17.0.10.rel%{?dist}
Summary		:	Font rendering capabilities for complex non-Roman writing systems

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/silnrsi/graphite/releases

Source0		:	%{name}-%{version}.tgz
#-----------------------------------------------------------------------------
Buildrequires	:	cmake
#-----------------------------------------------------------------------------
%description
'%{name}' is a project within SIL’s Non-Roman Script Initiative and
Language Software Development groups to provide rendering capabilities
for complex non-Roman writing systems. Graphite can be used to create
“smart fonts” capable of displaying writing systems with various
complex behaviors. With respect to the Text Encoding Model, Graphite
handles the "Rendering" aspect of writing system implementation.
 
#-----------------------------------------------------------------------------
%prep
%setup -q
#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build
cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}

popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#To remove libtool library
find 								\
	%{buildroot}%{_libdir}					\
	-name \*.la						\
	-delete

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_bindir}/gr2fonttest
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}/%{name}*.cmake

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
